com.io7m.jcanephora.renderstate

## Enum JCGLDepthStrict

- java.lang.Object
- - java.lang.Enum<JCGLDepthStrict>
  - - com.io7m.jcanephora.renderstate.JCGLDepthStrict

- All Implemented Interfaces:
    Serializable, Comparable<JCGLDepthStrict>

      public enum JCGLDepthStrict
      extends Enum<JCGLDepthStrict>

  Depth strictness.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEPTH_STRICT_DISABLED` Strict checking is disabled.
    `DEPTH_STRICT_ENABLED` Strict checking is enabled; attempting to configure the state of the depth buffer on a framebuffer without any depth attachment will result in an exception on activation.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLDepthStrict` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLDepthStrict[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEPTH_STRICT_ENABLED

          public static final JCGLDepthStrict DEPTH_STRICT_ENABLED

      Strict checking is enabled; attempting to configure the state of the depth buffer on a framebuffer without any depth attachment will result in an exception on activation.

    - #### DEPTH_STRICT_DISABLED

          public static final JCGLDepthStrict DEPTH_STRICT_DISABLED

      Strict checking is disabled.

  - ### Method Detail

    - #### values

          public static JCGLDepthStrict[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLDepthStrict c : JCGLDepthStrict.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLDepthStrict valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 <code@io7m.com> http://io7m.com